Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder

Enclosing class:
  VoiceSessionDetailOrder

    public static class VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceSessionDetailOrderBuilder()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `VoiceSessionDetailOrder` | `build()` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `copy​(VoiceSessionDetailOrder order)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setAccountId​(int accountId)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setContractId​(int contractId)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setCreateDate​(java.util.Date createDate)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setEmail​(java.lang.String email)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setEmailSend​(VoiceSessionDetailOrder.EmailSend emailSend)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setFileSize​(long fileSize)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setFormatType​(VoiceSessionDetailOrder.FormatType formatType)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setMonth​(int month)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setStatus​(VoiceSessionDetailOrder.Status status)` |
  `VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder` | `setYear​(int year)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceSessionDetailOrderBuilder

    public VoiceSessionDetailOrderBuilder()

- ## Method Details

  - ### setCreateDate

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setCreateDate​(java.util.Date createDate)

  - ### setStatus

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setStatus​(VoiceSessionDetailOrder.Status status)

  - ### setContractId

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setContractId​(int contractId)

  - ### setAccountId

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setAccountId​(int accountId)

  - ### setMonth

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setMonth​(int month)

  - ### setYear

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setYear​(int year)

  - ### setFormatType

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setFormatType​(VoiceSessionDetailOrder.FormatType formatType)

  - ### setEmail

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setEmail​(java.lang.String email)

  - ### setEmailSend

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setEmailSend​(VoiceSessionDetailOrder.EmailSend emailSend)

  - ### setFileSize

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder setFileSize​(long fileSize)

  - ### build

    public VoiceSessionDetailOrder build()

  - ### copy

    public VoiceSessionDetailOrder.VoiceSessionDetailOrderBuilder copy​(VoiceSessionDetailOrder order)